%this file simulates our hearing aid and its algorithms
%ned danyliw

t = 0:1/48000:.1;
f = 1000;
A = 1;

% signal = A*sin(2*pi*t*f);
signal = 3*wavread('test_signal');

%filter the signal
lp_filter = low_pass_filter();
lp_signal = filter(lp_filter, signal);

lm_filter = low_mid_filter();
lm_signal = filter(lm_filter, signal);

hm_filter = high_mid_filter();
hm_signal = filter(hm_filter, signal);

hp_filter = high_pass_filter();
hp_signal = filter(hp_filter, signal);

% lp_coeff_target = 1;
% lm_coeff_target = 1.5;
% hm_coeff_target = .7;
% hp_coeff_target = .2;

lp_percent = .05;
lm_percent = .65;
hm_percent = .25;
hp_percent = .05;

lp_estimate = filter(signal_level_filter, abs(lp_signal));
lm_estimate = filter(signal_level_filter, abs(lm_signal));
hm_estimate = filter(signal_level_filter, abs(hm_signal));
hp_estimate = filter(signal_level_filter, abs(hp_signal));

norm_total_level = 4.*(lp_estimate + lm_estimate + hm_estimate + hp_estimate);

lp_coeff = norm_total_level * lp_percent;
lm_coeff = norm_total_level * lm_percent;
hm_coeff = norm_total_level * hm_percent;
hp_coeff = norm_total_level * hp_percent;

mixed_signal = lp_coeff.*lp_signal + lm_coeff.*lm_signal + hm_coeff.*hm_signal + hp_coeff.*hp_signal;


% plot(t, signal, t, mixed_signal);
sound(4*mixed_signal, 48000);

